unit AddIn_MyFuncLib;

interface
Uses
  Classes,
  Forms,
  Dialogs,
  FileCtrl,
  IniFiles,
  SysUtils,
  Clipbrd;

{     }
function sp_ItsNotReadOnlyDisk(Disk : string) : boolean;
{   }
function sp_GetNewNameFile(FileName : string) : string;
{    Clipboard}
{function GetFromClipboardToList(Buf : TStrings; ClearAfter : boolean) : boolean;}

implementation

function sp_ItsNotReadOnlyDisk(Disk : string) : boolean;
{:      }
Var
  NameF : string;
  Ok99 : boolean;
  o : textfile;
begin
  Result:=FALSE;
  Trim(Disk);
  if Length(Disk)>0 then begin
     TRY
       NameF :=sp_GetNewNameFile(Disk[1]+':\~!789.~~~');
       AssignFile(o,NameF);
       {$I-} rewrite(o) {$I+};
       Ok99:=(IoResult=0);
       if Ok99 then begin
          Result:=TRUE;
       end;
     FINALLY
       {$I-} CloseFile(o) {$I+};
       Ok99:=(IoResult=0);
       DeleteFile(NameF);
     END;
  end;

end;


function sp_GetNewNameFile(FileName : string) : string;
{   }
Var
  Sx,Path,NameF, Ext : String;
  i : LongInt;
begin
  Result:=FileName;

  Path:=ExtractFilePath(FileName);
  NameF:=ExtractFileName(FileName);
  NameF:=ChangeFileExt(NameF,'');
  Ext:=ExtractFileExt(FileName);

  Sx:=FileName;
  i:=0;
  while i<999999 do
   begin
     i:=i+1;

     if FileExists(Sx) then begin
        Str(i,Sx);
        Sx:=Path+NameF+'-'+Sx+Ext;
     end
     else begin
        Result:=Sx;
        i:=999999+1;
     end;

  end;
end;

{    Clipboard}
{function GetFromClipboardToList(Buf : TStrings; ClearAfter : boolean) : boolean;

var
  MyHandle: THandle;
  TextPtr: PChar;
  MyString: string;
begin
  Result:=FALSE;
  if Buf<>NIL then begin
     Buf.Clear;
     if Clipboard.HasFormat(CF_TEXT) then begin
        ClipBoard.Open;
        try
          MyHandle := Clipboard.GetAsHandle(CF_TEXT);
          TextPtr := GlobalLock(MyHandle);
          Buf.SetText(TextPtr);
          GlobalUnlock(MyHandle);
          if ClearAfter then ClipBoard.Clear;
          if Buf.Count>0 then begin
             Result:=TRUE;
          end;
        finally
          Clipboard.Close;
        end;
     end;
  end;
end;}

end.
